Zum Inhalt springen
Leadtime
Deutsch
Esc
navigateopen⌘Jpreview

Mark all notifications as read

Marks all unread notifications as read for the current user.

What happens:

  • All unread notifications for the current user are marked as read
  • Returns the count of notifications that were marked as read
  • Useful for bulk “mark all as read” functionality

Response includes:

  • success: Boolean indicating operation success
  • count: Number of notifications marked as read
POST/account/notifications/read-all
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Responses
200Number of notifications marked as read
countnumber
Number of notifications marked as read
successboolean
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X POST "https://leadtime.app/api/public/account/notifications/read-all" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
{
  "count": 5,
  "success": true
}